Bug 15967 - Upgrade to Mageia 5 RC: kernel is stalled during boot on Dell XPS 15 laptop
Summary: Upgrade to Mageia 5 RC: kernel is stalled during boot on Dell XPS 15 laptop
Status: RESOLVED OLD
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 5
Hardware: x86_64 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: Kernel and Drivers maintainers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 16655
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-17 22:34 CEST by Olivier LE ROY
Modified: 2018-10-07 17:05 CEST (History)
3 users (show)

See Also:
Source RPM: kernel-desktop-latest-3.19.8-1.mga5
CVE:
Status comment:


Attachments
report.bug.xz (175.12 KB, application/x-xz)
2015-05-17 22:45 CEST, Olivier LE ROY
Details

Description Olivier LE ROY 2015-05-17 22:34:11 CEST
Description of problem:
Upgrade to Mageia 5 RC: nouveau driver is compiled in the kernel and conflicts with Intel 810 graphics controller on Dell XPS15 laptop.
On these laptops, there are two graphics controllers: Intel 810 and NVidia GF108M [GeForce GT 525M].

For stability reasons, I choose to use Intel 810 graphics driver.

Version-Release number of selected component (if applicable):
kernel-desktop-latest-3.19.8-1.mga5 but previous versions also have the issue.

How reproducible:
Always

Steps to Reproduce:
1. Use default Mageia kernel
2. Several minutes after boot has completed; the machine freezes.

In order to fix: compile a custom kernel with "# CONFIG_DRM_NOUVEAU is not set"
or "CONFIG_DRM_NOUVEAU = m" and blacklist nouveau driver.

Reproducible: 

Steps to Reproduce:
Comment 1 Olivier LE ROY 2015-05-17 22:45:06 CEST
Created attachment 6572 [details]
report.bug.xz
Comment 2 Samuel Verschelde 2015-05-17 23:40:01 CEST
You can also blacklist the nouveau module at boot, without rebuilding a kernel.

CC: (none) => anssi.hannula, tmb

Comment 3 Thomas Backlund 2015-05-18 07:22:29 CEST
It is not and has never been compiled in:

i386.config:CONFIG_DRM_NOUVEAU=m
x86_64.config:CONFIG_DRM_NOUVEAU=m

and it will use the driver you configure.

If you want to use Intel only, you should be able to disable the nVidia card in the BIOS / UEFI FW

Status: NEW => RESOLVED
Resolution: (none) => INVALID

Comment 4 Olivier LE ROY 2015-05-18 07:42:11 CEST
Hi,

back in 3.19.2-2.mga5 kernel the nouveau driver actually was compiled in and there was no way to blacklist it at boot.

So now, with 3.19.8-1.mga5, the system hangs before boot has completed. It is not frozen though, because ctrl+alt+del works.

There is another issue. I will investigate, and try to give a fix / or some boot log.
Comment 5 Olivier LE ROY 2015-05-19 21:14:45 CEST
I re-open, because I made some findings.

In the 3.19.8-1.mga5 kernel, what causes the trouble is:

CONFIG_DRM_NOUVEAU=m
CONFIG_NOUVEAU_DEBUG=5
CONFIG_NOUVEAU_DEBUG_DEFAULT=3
CONFIG_DRM_NOUVEAU_BACKLIGHT=y

If I re-compile with:

# CONFIG_DRM_NOUVEAU is not set

My Dell XPS 15 (model: xps_l502x) boots normally.


I made additional tests, if I compile with:


CONFIG_DRM_NOUVEAU=m
CONFIG_NOUVEAU_DEBUG=5
CONFIG_NOUVEAU_DEBUG_DEFAULT=3
CONFIG_DRM_NOUVEAU_BACKLIGHT=n

and blacklist the nouveau driver (or rename it in "nouveau.ko.bak"),

the boot process is stalled after 23s (key pressed are echoed and caps lock Led can be activated). The only thing that allows to progress is ctrl + alt + del (reboots).

Resolution: INVALID => (none)
Status: RESOLVED => REOPENED

Comment 6 Olivier LE ROY 2015-05-19 21:43:34 CEST
Same symptoms with:

initrd-linus.img -> initrd-3.19.8-1.mga5.img
vmlinuz-linus -> vmlinuz-3.19.8-1.mga5
Comment 7 Olivier LE ROY 2015-05-19 21:55:01 CEST
It is not possible to disable the NVidia graphics card in the BIOS of these Dell laptops in order to keep only the Intel 810 card enabled.

That makes me think this is a serious bug, because the owners of these laptops will have their machine bricked, after install, if they can't revert to an old Mageia 4 kernel.
Comment 8 Thomas Backlund 2015-05-19 22:22:56 CEST
(In reply to Olivier LE ROY from comment #4)
> Hi,
> 
> back in 3.19.2-2.mga5 kernel the nouveau driver actually was compiled in and
> there was no way to blacklist it at boot.
> 

No it was not!

http://svnweb.mageia.org/packages/cauldron/kernel/releases/3.19.2/2.mga5/PATCHES/configs/x86_64.config?revision=819214&view=markup

(In reply to Olivier LE ROY from comment #7)
> It is not possible to disable the NVidia graphics card in the BIOS of these
> Dell laptops in order to keep only the Intel 810 card enabled.
> 

That's bad.

> That makes me think this is a serious bug, because the owners of these
> laptops will have their machine bricked, after install, 

It's not bricked. it just is isn't properly detecting wich gpu so send output on so you get a mismatch between what hw thinks and what the xorg server tries to use.

> if they can't revert to an old Mageia 4 kernel.


there should still be a boot menu option for the older kernel.


And you can try to boot with:

 rdblacklist=nouveau xdriver=intel
Comment 9 Olivier LE ROY 2015-05-20 18:22:46 CEST
Hi,

sorry, nouveau was not compiled in the kernel in 3.19.2-2.mga5.

In the mean time, I have made other tests, and I have other elements:

"rdblacklist=nouveau xdriver=intel" options at boot don't solve the issue, either in 3.19.8-1.mga5 (linus or with Mageia patches). Failsafe mode doesn't help.

Same result if I rename nouveau.ko in nouveau.ko.bak.

Graphics card is initialized at boot, but X11.org doesn't start, kernel boot log is displayed on the screen. It is not possible to have a bash console.

The only way I have, for now, to boot up is re-compiling the kernel with "# CONFIG_DRM_NOUVEAU is not set".

My laptop was built in 2011, and is still performing well with Intel Core i7-2630QM CPU.

I think it may be a general problem accross all distributions.
Comment 10 Olivier LE ROY 2015-05-20 18:48:13 CEST
I would like to add one more element:

I don't have the issue if booting with this kernel: 3.19.0-desktop-1.mga5
Olivier LE ROY 2015-05-20 22:43:18 CEST

Summary: Upgrade to Mageia 5 RC: nouveau driver is compiled in the kernel and conflicts with Intel 810 graphics controller on Dell XPS 15 laptop => Upgrade to Mageia 5 RC: kernel is stalled during boot on Dell XPS 15 laptop

Samuel Verschelde 2015-06-06 16:17:08 CEST

Whiteboard: (none) => MGA5TOO

Samuel Verschelde 2015-06-06 16:17:16 CEST

Assignee: bugsquad => tmb

Comment 11 Thomas Backlund 2015-09-18 15:25:07 CEST
does kernel 4.1.7 in cauldron or mga5 updates testing work any better ?

Depends on: (none) => 16655

Comment 12 Olivier LE ROY 2015-09-27 22:34:59 CEST
There is the same issue if booting with vmlinuz-4.1.8-desktop-1.mga5.
Comment 13 Marja Van Waes 2016-08-26 11:43:02 CEST
Mass-reassigning all bugs with "kernel" in the Source RPM field that are assigned to tmb, to the kernel packagers group, because tmb is currently MIA.

Assignee: tmb => kernel

Comment 14 Marja Van Waes 2017-03-29 07:23:20 CEST
Setting Version: to 5, because I don't see any comments about this happening with mga6 kernels.

Whiteboard: MGA5TOO => (none)
CC: (none) => marja11
Version: Cauldron => 5

Comment 15 Marja Van Waes 2018-07-12 16:13:58 CEST
Hi Olivier,

Did this bug get fixed? If so, please change its status to RESOLVED - FIXED

If it didn't, then we regret that we weren't able to fix it in Mageia 5. Mageia 5 has officially reached its End of Life on December 31st, 2017 https://blog.mageia.org/en/2017/11/07/mageia-5-eol-postponed/
It only continued to get important security updates since then, because we were waiting for the big Plasma5 update in Mageia 6, that fixed many of the Mageia 5 => 6 upgrade issues.

If you haven't seen that this bug got fixed, then please check whether this bug still exists in Mageia 6. If it does, then please change the Version (near the top, at the left) to "6". If you know it exists in Cauldron, then change Version to Cauldron. If you see it in both Cauldron and Mageia 6, then please set Version to Cauldron and add MGA6TOO on the Whiteboard.

==> If you didn't reset your password after february 2018, then you'll need to reset it here https://identity.mageia.org/forgot_password to be able to log in and comment in this report. <==
Comment 16 Marja Van Waes 2018-10-07 17:05:14 CEST
No reply, so closing as OLD since Mageia 5 is no longer maintained.

Status: REOPENED => RESOLVED
Resolution: (none) => OLD


Note You need to log in before you can comment on or make changes to this bug.